package com.tykj.dev.misc.base;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.HashMap;

/**
 * @author dengdiyi
 * @description 接口返回统一标准类
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ResultObj {

    private Object result;

    private String msg;

    public ResultObj(Object o){
        this.result = o;
        this.msg = "no message";
    }
    public ResultObj(String m){
        this.msg = m;
        this.result = new HashMap<>(1);
    }
}
